
From: "Antonino A. Daplas" <adaplas@hotpop.com>

fbdev: Convert MODULE_PARM to module_param in intelfb

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/intelfb/intelfb.h    |    6 +++---
 25-akpm/drivers/video/intelfb/intelfbdrv.c |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/video/intelfb/intelfbdrv.c~fbdev-convert-module_parm-to-module_param-in-intelfb drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~fbdev-convert-module_parm-to-module_param-in-intelfb	2004-10-28 19:16:31.116814344 -0700
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2004-10-28 19:16:31.123813280 -0700
@@ -197,7 +197,7 @@ INTELFB_INT_PARAM(probeonly, 0, "Do a mi
 INTELFB_INT_PARAM(idonly, 0,
 		  "Just identify without doing anything else (debug)");
 INTELFB_INT_PARAM(bailearly, 0, "Bail out early, depending on value (debug)");
-INTELFB_STR_PARAM(mode, NULL,
+INTELFB_STR_PARAM(mode, 0,
 		  "Initial video mode \"<xres>x<yres>[-<depth>][@<refresh>]\"");
 /***************************************************************
  *                     modules entry points                    *
diff -puN drivers/video/intelfb/intelfb.h~fbdev-convert-module_parm-to-module_param-in-intelfb drivers/video/intelfb/intelfb.h
--- 25/drivers/video/intelfb/intelfb.h~fbdev-convert-module_parm-to-module_param-in-intelfb	2004-10-28 19:16:31.117814192 -0700
+++ 25-akpm/drivers/video/intelfb/intelfb.h	2004-10-28 19:16:31.122813432 -0700
@@ -97,12 +97,12 @@
 /* module parameters */
 #define INTELFB_INT_PARAM(name, default, desc)				\
 	static int name = default;					\
-	MODULE_PARM(name, "i");					        \
+	module_param(name, int, default);			        \
 	MODULE_PARM_DESC(name, desc);
 
 #define INTELFB_STR_PARAM(name, default, desc)				\
-	static const char *name = default;				\
-	MODULE_PARM(name, "s");				                \
+	static char *name = (char *) default;				\
+	module_param(name, charp, default);		                \
 	MODULE_PARM_DESC(name, desc);
 
 /* misc macros */
_
